For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • POSTCreate Resident: Rent Manager
        • PUTUpdate Resident: Rent Manager
        • POSTCreate Resident Custom Data: Rent Manager
        • PUTUpdate Resident Custom Data: Rent Manager
        • POSTCreate Resident Files: Rent Manager
        • POSTCreate Resident Note: RentManager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerResidents

Create Resident Files: Rent Manager

POST
/v1/residents/rentmanager/:resident_id/file-upload/
POST
/v1/residents/rentmanager/:resident_id/file-upload/
$curl -X POST https://api.propexo.com/v1/residents/rentmanager/resident_id/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "rm-integration-987654321",
> "attachments": [
> {
> "file_type_id": "filetype-12345",
> "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudA==",
> "file_name": "lease_agreement.pdf",
> "mime_type": "application/pdf"
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "rm-integration-987654321",
7 "resident_id": "resident-78910",
8 "attachments": [
9 {
10 "file_type_id": "filetype-12345",
11 "file_name": "lease_agreement.pdf",
12 "mime_type": "application/pdf",
13 "file_type": "Document",
14 "file_data": "VGhpcyBpcyBhIHRlc3QgZG9jdW1lbnQgY29udGVudA=="
15 }
16 ]
17 }
18}
Create Resident Files: Rent Manager | Method | |---| | | | POST /Tenants/UserDefinedValues | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Create Resident Note: RentManager

Next
Built with

Create Resident Files: Rent Manager

Method
POST /Tenants/UserDefinedValues
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
attachmentslist of objectsRequired
Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error